# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.idp.attribute.AttributeDecodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-7129079905857690466L`
net.shibboleth.idp.attribute.AttributeEncodingException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-447446513413196989L`
net.shibboleth.idp.attribute.AttributeException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`3335848105089747720L`
net.shibboleth.idp.attribute.UnsupportedAttributeTypeException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`3335848105089747720L`

net.shibboleth.idp.attribute.filter.AttributeFilterException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`2699384174240632113L`

net.shibboleth.idp.attribute.filter.spring.BaseFilterParser
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"urn:mace:shibboleth:2.0:afp"`
`public static final String`
`QUALIFIED_ID`
`"qualifiedId"`

net.shibboleth.idp.attribute.filter.spring.impl.AttributeRuleParser
Modifier and Type
Constant Field
Value
`public static final String`
`PERMIT_ANY_ATTRIBUTE`
`"permitAny"`

net.shibboleth.idp.attribute.filter.spring.matcher.BaseAttributeValueMatcherParser
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTE_ID`
`"attributeID"`

net.shibboleth.idp.attribute.filter.spring.saml.impl.AbstractRegistrationAuthorityRuleParser
Modifier and Type
Constant Field
Value
`public static final String`
`MATCH_IF_METADATA_SILENT_ATTR_NAME`
`"matchIfMetadataSilent"`
`public static final String`
`REGISTRARS_ATTR_NAME`
`"registrars"`

net.shibboleth.idp.attribute.impl.ComputedPairwiseIdStore
Modifier and Type
Constant Field
Value
`public static final String`
`WILDCARD_OVERRIDE`
`"*"`

net.shibboleth.idp.attribute.resolver.MultipleResultAnErrorResolutionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-4790212966962912159L`
net.shibboleth.idp.attribute.resolver.NoResultAnErrorResolutionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-8283889039726908071L`
net.shibboleth.idp.attribute.resolver.ResolutionException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-3921717206902437845L`

net.shibboleth.idp.attribute.resolver.dc.ValidationException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-8386198363228890011L`

net.shibboleth.idp.attribute.resolver.dc.http.impl.ScriptedResponseMappingStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`RESULTS_STRING`
`"connectorResults"`

net.shibboleth.idp.attribute.resolver.dc.scripted.impl.ScriptedDataConnector
Modifier and Type
Constant Field
Value
`public static final String`
`RESULTS_STRING`
`"connectorResults"`

net.shibboleth.idp.attribute.resolver.dc.storage.impl.ScriptedStorageMappingStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`RESULTS_STRING`
`"connectorResults"`

net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_EXPORT_NAMES`
`"exportAttributes"`
`public static final String`
`ATTR_FAIL_FAST`
`"failFastInitialize"`
`public static final String`
`ATTR_NORETRYDELAY`
`"noRetryDelay"`

net.shibboleth.idp.attribute.resolver.spring.dc.impl.CacheConfigParser
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_CACHE_ENTRIES`
`500L`

net.shibboleth.idp.attribute.resolver.spring.enc.BaseAttributeEncoderParser
Modifier and Type
Constant Field
Value
`public static final String`
`NAME_ATTRIBUTE_NAME`
`"name"`

net.shibboleth.idp.attribute.resolver.spring.impl.AttributeResolverNamespaceHandler
Modifier and Type
Constant Field
Value
`public static final String`
`NAMESPACE`
`"urn:mace:shibboleth:2.0:resolver"`

net.shibboleth.idp.attribute.resolver.testing.ResolverTestSupport
Modifier and Type
Constant Field
Value
`public static final String`
`EPA_ATTRIB_ID`
`"urn:oid:1.3.6.1.4.1.5923.1.1.1.1"`
`public static final String`
`EPE_ATTRIB_ID`
`"urn:oid:1.3.6.1.4.1.5923.1.1.1.7"`
net.shibboleth.idp.attribute.resolver.testing.TestSources
Modifier and Type
Constant Field
Value
`public static final String`
`ATTRIBUTE_ATTRIBUTE_VALUE_STRING`
`"at1-Attribute"`
`public static final String`
`COMMON_ATTRIBUTE_VALUE_STRING`
`"at1-Data"`
`public static final String`
`CONNECTOR_ATTRIBUTE_VALUE_REGEXP`
`"at1-(.+)or"`
`public static final String`
`CONNECTOR_ATTRIBUTE_VALUE_STRING`
`"at1-Connector"`
`public static final String`
`DEPENDS_ON_ATTRIBUTE_NAME_ATTR`
`"at1"`
`public static final String`
`DEPENDS_ON_ATTRIBUTE_NAME_CONNECTOR`
`"ac1"`
`public static final String`
`DEPENDS_ON_SECOND_ATTRIBUTE_NAME`
`"at2"`
`public static final String`
`IDP_ENTITY_ID`
`"https://idp.example.org/idp"`
`public static final String`
`PRINCIPAL_ID`
`"PETER_THE_PRINCIPAL"`
`public static final String`
`SP_ENTITY_ID`
`"https://sp.example.org/sp"`
`public static final String`
`STATIC_CONNECTOR_NAME`
`"staticCon"`
`public static final String`
`TEST_AUTHN_METHOD`
`"AuthNmEthod"`
`public static final String`
`TEST_PRINCIPAL`
`"PrincipalName"`
`public static final String`
`TEST_RELYING_PARTY`
`"RP1"`

net.shibboleth.idp.attribute.transcoding.AttributeTranscoderRegistry
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_CONDITION`
`"activationCondition"`
`public static final String`
`PROP_DECODER`
`"decoder"`
`public static final String`
`PROP_DESCRIPTION`
`"description"`
`public static final String`
`PROP_DISPLAY_NAME`
`"displayName"`
`public static final String`
`PROP_ENCODER`
`"encoder"`
`public static final String`
`PROP_ID`
`"id"`
`public static final String`
`PROP_RELYINGPARTIES`
`"relyingParties"`
`public static final String`
`PROP_TRANSCODER`
`"transcoder"`

net.shibboleth.idp.saml.attribute.transcoding.SAML1AttributeTranscoder<EncodedType extends IdPAttributeValue>
Modifier and Type
Constant Field
Value
`public static final String`
`METADATA_TAG_NAME`
`"http://shibboleth.net/ns/attributes/naming/saml1"`
`public static final String`
`PROP_ENCODE_TYPE`
`"saml1.encodeType"`
`public static final String`
`PROP_NAME`
`"saml1.name"`
`public static final String`
`PROP_NAME_FROM_METADATA`
`"saml1.nameFromMetadata"`
`public static final String`
`PROP_NAMESPACE`
`"saml1.namespace"`
net.shibboleth.idp.saml.attribute.transcoding.SAML2AttributeTranscoder<EncodedType extends IdPAttributeValue>
Modifier and Type
Constant Field
Value
`public static final String`
`METADATA_TAG_NAME`
`"http://shibboleth.net/ns/attributes/naming/saml2"`
`public static final String`
`PROP_ENCODE_TYPE`
`"saml2.encodeType"`
`public static final String`
`PROP_FRIENDLY_NAME`
`"saml2.friendlyName"`
`public static final String`
`PROP_NAME`
`"saml2.name"`
`public static final String`
`PROP_NAME_FORMAT`
`"saml2.nameFormat"`
`public static final String`
`PROP_NAME_FROM_METADATA`
`"saml2.nameFromMetadata"`

net.shibboleth.idp.saml.attribute.transcoding.impl.SAML1ScopedStringAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_SCOPE_ATTR_NAME`
`"saml1.scopeAttributeName"`
`public static final String`
`PROP_SCOPE_DELIMITER`
`"saml1.scopeDelimiter"`
`public static final String`
`PROP_SCOPE_TYPE`
`"saml1.scopeType"`
net.shibboleth.idp.saml.attribute.transcoding.impl.SAML1XMLObjectAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_INCLUDE_ATTR_VALUE`
`"saml1.includeAttributeValue"`
net.shibboleth.idp.saml.attribute.transcoding.impl.SAML2DateTimeAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_EPOCH_UNITS`
`"saml2.epochUnits"`
net.shibboleth.idp.saml.attribute.transcoding.impl.SAML2ScopedStringAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_SCOPE_ATTR_NAME`
`"saml2.scopeAttributeName"`
`public static final String`
`PROP_SCOPE_DELIMITER`
`"saml2.scopeDelimiter"`
`public static final String`
`PROP_SCOPE_TYPE`
`"saml2.scopeType"`
net.shibboleth.idp.saml.attribute.transcoding.impl.SAML2XMLObjectAttributeTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_INCLUDE_ATTR_VALUE`
`"saml2.includeAttributeValue"`

net.shibboleth.idp.saml.saml2.nameid.transcoding.SAML2NameIDTranscoder<EncodedType extends IdPAttributeValue>
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_DEFAULT_QUALIFIERS`
`"saml2.defaultQualifiers"`
`public static final String`
`PROP_NAME_FORMAT`
`"saml2.nameFormat"`

net.shibboleth.idp.saml.saml2.nameid.transcoding.impl.SAML2ScopedStringNameIDTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DELIMITER`
`"@"`
`public static final String`
`DEFAULT_TEMPLATE`
`"$Name"`
`public static final String`
`PROP_SCOPE_DELIMITER`
`"saml2.scopeDelimiter"`
`public static final String`
`PROP_TEMPLATE`
`"saml2.valueTemplate"`
net.shibboleth.idp.saml.saml2.nameid.transcoding.impl.SAML2StringNameIDTranscoder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TEMPLATE`
`"$Name!!$NameQualifier!!$SPNameQualifier"`
`public static final String`
`PROP_TEMPLATE`
`"saml2.valueTemplate"`